<?php
/*-------------------------------------
	版权所有：南京牛昆网络科技有限公司（TEL-15896098989）
	程序版本：1.0
	更新日期：2015-03-09 
-------------------------------------*/


class cache
{
	var $memcache;

    function __construct()
    {
		global $LA;
		$this->memcache = new Memcache;
		$this->memcache->connect($LA['memcache_host'], $LA['memcache_port'], $LA['memcache_timeout']);
    }

    function cache()
    {
		$this->__construct();
    }

	function get($name)
    {
        return la_stripslashes(string2array($this->memcache->get(md5($name))));
    }

    function set($name, $value, $ttl = 0)
    {
		global $LA;
		$ttl=$ttl?$ttl:$LA['cache_ttl'];
		$ttl=intval($ttl);
		$value=var_export(la_addslashes($value),true);
        return $this->memcache->set(md5($name), $value, 0, $ttl);
    }

    function rm($name)
    {
        return $this->memcache->delete(md5($name));
    }

    function clear()
    {
		return $this->memcache->flush();
    }
}
?>
